Index: XIOS3/trunk/src/interface/fortran_attr/fieldgroup_interface_attr.F90
===================================================================
--- XIOS3/trunk/src/interface/fortran_attr/fieldgroup_interface_attr.F90	(revision 2614)
+++ XIOS3/trunk/src/interface/fortran_attr/fieldgroup_interface_attr.F90	(revision 2616)
@@ -130,4 +130,23 @@
 
 
+    SUBROUTINE cxios_set_fieldgroup_chunking_blocksize_target(fieldgroup_hdl, chunking_blocksize_target) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+      REAL (KIND=C_DOUBLE)      , VALUE :: chunking_blocksize_target
+    END SUBROUTINE cxios_set_fieldgroup_chunking_blocksize_target
+
+    SUBROUTINE cxios_get_fieldgroup_chunking_blocksize_target(fieldgroup_hdl, chunking_blocksize_target) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+      REAL (KIND=C_DOUBLE)             :: chunking_blocksize_target
+    END SUBROUTINE cxios_get_fieldgroup_chunking_blocksize_target
+
+    FUNCTION cxios_is_defined_fieldgroup_chunking_blocksize_target(fieldgroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_chunking_blocksize_target
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_chunking_blocksize_target
+
+
     SUBROUTINE cxios_set_fieldgroup_comment(fieldgroup_hdl, comment, comment_size) BIND(C)
       USE ISO_C_BINDING
@@ -170,4 +189,65 @@
 
 
+    SUBROUTINE cxios_set_fieldgroup_compression_params(fieldgroup_hdl, compression_params, extent) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE       :: fieldgroup_hdl
+      REAL (KIND=C_DOUBLE)     , DIMENSION(*) :: compression_params
+      INTEGER (kind = C_INT), DIMENSION(*)     :: extent
+    END SUBROUTINE cxios_set_fieldgroup_compression_params
+
+    SUBROUTINE cxios_get_fieldgroup_compression_params(fieldgroup_hdl, compression_params, extent) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE       :: fieldgroup_hdl
+      REAL (KIND=C_DOUBLE)     , DIMENSION(*) :: compression_params
+      INTEGER (kind = C_INT), DIMENSION(*)     :: extent
+    END SUBROUTINE cxios_get_fieldgroup_compression_params
+
+    FUNCTION cxios_is_defined_fieldgroup_compression_params(fieldgroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_compression_params
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_compression_params
+
+
+    SUBROUTINE cxios_set_fieldgroup_compression_type(fieldgroup_hdl, compression_type, compression_type_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: compression_type
+      INTEGER  (kind = C_INT)     , VALUE        :: compression_type_size
+    END SUBROUTINE cxios_set_fieldgroup_compression_type
+
+    SUBROUTINE cxios_get_fieldgroup_compression_type(fieldgroup_hdl, compression_type, compression_type_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: compression_type
+      INTEGER  (kind = C_INT)     , VALUE        :: compression_type_size
+    END SUBROUTINE cxios_get_fieldgroup_compression_type
+
+    FUNCTION cxios_is_defined_fieldgroup_compression_type(fieldgroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_compression_type
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_compression_type
+
+
+    SUBROUTINE cxios_set_fieldgroup_conversion_by_NetCDF(fieldgroup_hdl, conversion_by_NetCDF) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+      LOGICAL (KIND=C_BOOL)      , VALUE :: conversion_by_NetCDF
+    END SUBROUTINE cxios_set_fieldgroup_conversion_by_NetCDF
+
+    SUBROUTINE cxios_get_fieldgroup_conversion_by_NetCDF(fieldgroup_hdl, conversion_by_NetCDF) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+      LOGICAL (KIND=C_BOOL)             :: conversion_by_NetCDF
+    END SUBROUTINE cxios_get_fieldgroup_conversion_by_NetCDF
+
+    FUNCTION cxios_is_defined_fieldgroup_conversion_by_NetCDF(fieldgroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_conversion_by_NetCDF
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_conversion_by_NetCDF
+
+
     SUBROUTINE cxios_set_fieldgroup_default_value(fieldgroup_hdl, default_value) BIND(C)
       USE ISO_C_BINDING
Index: XIOS3/trunk/src/interface/fortran_attr/file_interface_attr.F90
===================================================================
--- XIOS3/trunk/src/interface/fortran_attr/file_interface_attr.F90	(revision 2614)
+++ XIOS3/trunk/src/interface/fortran_attr/file_interface_attr.F90	(revision 2616)
@@ -191,4 +191,25 @@
 
 
+    SUBROUTINE cxios_set_file_gatherer(file_hdl, gatherer, gatherer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: gatherer
+      INTEGER  (kind = C_INT)     , VALUE        :: gatherer_size
+    END SUBROUTINE cxios_set_file_gatherer
+
+    SUBROUTINE cxios_get_file_gatherer(file_hdl, gatherer, gatherer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: gatherer
+      INTEGER  (kind = C_INT)     , VALUE        :: gatherer_size
+    END SUBROUTINE cxios_get_file_gatherer
+
+    FUNCTION cxios_is_defined_file_gatherer(file_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_gatherer
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_gatherer
+
+
     SUBROUTINE cxios_set_file_min_digits(file_hdl, min_digits) BIND(C)
       USE ISO_C_BINDING
@@ -334,4 +355,67 @@
 
 
+    SUBROUTINE cxios_set_file_pool_gatherer(file_hdl, pool_gatherer, pool_gatherer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: pool_gatherer
+      INTEGER  (kind = C_INT)     , VALUE        :: pool_gatherer_size
+    END SUBROUTINE cxios_set_file_pool_gatherer
+
+    SUBROUTINE cxios_get_file_pool_gatherer(file_hdl, pool_gatherer, pool_gatherer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: pool_gatherer
+      INTEGER  (kind = C_INT)     , VALUE        :: pool_gatherer_size
+    END SUBROUTINE cxios_get_file_pool_gatherer
+
+    FUNCTION cxios_is_defined_file_pool_gatherer(file_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_pool_gatherer
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_pool_gatherer
+
+
+    SUBROUTINE cxios_set_file_pool_reader(file_hdl, pool_reader, pool_reader_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: pool_reader
+      INTEGER  (kind = C_INT)     , VALUE        :: pool_reader_size
+    END SUBROUTINE cxios_set_file_pool_reader
+
+    SUBROUTINE cxios_get_file_pool_reader(file_hdl, pool_reader, pool_reader_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: pool_reader
+      INTEGER  (kind = C_INT)     , VALUE        :: pool_reader_size
+    END SUBROUTINE cxios_get_file_pool_reader
+
+    FUNCTION cxios_is_defined_file_pool_reader(file_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_pool_reader
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_pool_reader
+
+
+    SUBROUTINE cxios_set_file_pool_writer(file_hdl, pool_writer, pool_writer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: pool_writer
+      INTEGER  (kind = C_INT)     , VALUE        :: pool_writer_size
+    END SUBROUTINE cxios_set_file_pool_writer
+
+    SUBROUTINE cxios_get_file_pool_writer(file_hdl, pool_writer, pool_writer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: pool_writer
+      INTEGER  (kind = C_INT)     , VALUE        :: pool_writer_size
+    END SUBROUTINE cxios_get_file_pool_writer
+
+    FUNCTION cxios_is_defined_file_pool_writer(file_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_pool_writer
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_pool_writer
+
+
     SUBROUTINE cxios_set_file_read_metadata_par(file_hdl, read_metadata_par) BIND(C)
       USE ISO_C_BINDING
@@ -351,4 +435,25 @@
       INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
     END FUNCTION cxios_is_defined_file_read_metadata_par
+
+
+    SUBROUTINE cxios_set_file_reader(file_hdl, reader, reader_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: reader
+      INTEGER  (kind = C_INT)     , VALUE        :: reader_size
+    END SUBROUTINE cxios_set_file_reader
+
+    SUBROUTINE cxios_get_file_reader(file_hdl, reader, reader_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: reader
+      INTEGER  (kind = C_INT)     , VALUE        :: reader_size
+    END SUBROUTINE cxios_get_file_reader
+
+    FUNCTION cxios_is_defined_file_reader(file_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_reader
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_reader
 
 
@@ -666,4 +771,23 @@
 
 
+    SUBROUTINE cxios_set_file_using_server2(file_hdl, using_server2) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      LOGICAL (KIND=C_BOOL)      , VALUE :: using_server2
+    END SUBROUTINE cxios_set_file_using_server2
+
+    SUBROUTINE cxios_get_file_using_server2(file_hdl, using_server2) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      LOGICAL (KIND=C_BOOL)             :: using_server2
+    END SUBROUTINE cxios_get_file_using_server2
+
+    FUNCTION cxios_is_defined_file_using_server2(file_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_using_server2
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_using_server2
+
+
     SUBROUTINE cxios_set_file_uuid_format(file_hdl, uuid_format, uuid_format_size) BIND(C)
       USE ISO_C_BINDING
@@ -707,4 +831,25 @@
     END FUNCTION cxios_is_defined_file_uuid_name
 
+
+    SUBROUTINE cxios_set_file_writer(file_hdl, writer, writer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: writer
+      INTEGER  (kind = C_INT)     , VALUE        :: writer_size
+    END SUBROUTINE cxios_set_file_writer
+
+    SUBROUTINE cxios_get_file_writer(file_hdl, writer, writer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: writer
+      INTEGER  (kind = C_INT)     , VALUE        :: writer_size
+    END SUBROUTINE cxios_get_file_writer
+
+    FUNCTION cxios_is_defined_file_writer(file_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_writer
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_writer
+
   END INTERFACE
 
Index: XIOS3/trunk/src/interface/fortran_attr/filegroup_interface_attr.F90
===================================================================
--- XIOS3/trunk/src/interface/fortran_attr/filegroup_interface_attr.F90	(revision 2614)
+++ XIOS3/trunk/src/interface/fortran_attr/filegroup_interface_attr.F90	(revision 2616)
@@ -191,4 +191,25 @@
 
 
+    SUBROUTINE cxios_set_filegroup_gatherer(filegroup_hdl, gatherer, gatherer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: gatherer
+      INTEGER  (kind = C_INT)     , VALUE        :: gatherer_size
+    END SUBROUTINE cxios_set_filegroup_gatherer
+
+    SUBROUTINE cxios_get_filegroup_gatherer(filegroup_hdl, gatherer, gatherer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: gatherer
+      INTEGER  (kind = C_INT)     , VALUE        :: gatherer_size
+    END SUBROUTINE cxios_get_filegroup_gatherer
+
+    FUNCTION cxios_is_defined_filegroup_gatherer(filegroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_gatherer
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_gatherer
+
+
     SUBROUTINE cxios_set_filegroup_group_ref(filegroup_hdl, group_ref, group_ref_size) BIND(C)
       USE ISO_C_BINDING
@@ -355,4 +376,67 @@
 
 
+    SUBROUTINE cxios_set_filegroup_pool_gatherer(filegroup_hdl, pool_gatherer, pool_gatherer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: pool_gatherer
+      INTEGER  (kind = C_INT)     , VALUE        :: pool_gatherer_size
+    END SUBROUTINE cxios_set_filegroup_pool_gatherer
+
+    SUBROUTINE cxios_get_filegroup_pool_gatherer(filegroup_hdl, pool_gatherer, pool_gatherer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: pool_gatherer
+      INTEGER  (kind = C_INT)     , VALUE        :: pool_gatherer_size
+    END SUBROUTINE cxios_get_filegroup_pool_gatherer
+
+    FUNCTION cxios_is_defined_filegroup_pool_gatherer(filegroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_pool_gatherer
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_pool_gatherer
+
+
+    SUBROUTINE cxios_set_filegroup_pool_reader(filegroup_hdl, pool_reader, pool_reader_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: pool_reader
+      INTEGER  (kind = C_INT)     , VALUE        :: pool_reader_size
+    END SUBROUTINE cxios_set_filegroup_pool_reader
+
+    SUBROUTINE cxios_get_filegroup_pool_reader(filegroup_hdl, pool_reader, pool_reader_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: pool_reader
+      INTEGER  (kind = C_INT)     , VALUE        :: pool_reader_size
+    END SUBROUTINE cxios_get_filegroup_pool_reader
+
+    FUNCTION cxios_is_defined_filegroup_pool_reader(filegroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_pool_reader
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_pool_reader
+
+
+    SUBROUTINE cxios_set_filegroup_pool_writer(filegroup_hdl, pool_writer, pool_writer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: pool_writer
+      INTEGER  (kind = C_INT)     , VALUE        :: pool_writer_size
+    END SUBROUTINE cxios_set_filegroup_pool_writer
+
+    SUBROUTINE cxios_get_filegroup_pool_writer(filegroup_hdl, pool_writer, pool_writer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: pool_writer
+      INTEGER  (kind = C_INT)     , VALUE        :: pool_writer_size
+    END SUBROUTINE cxios_get_filegroup_pool_writer
+
+    FUNCTION cxios_is_defined_filegroup_pool_writer(filegroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_pool_writer
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_pool_writer
+
+
     SUBROUTINE cxios_set_filegroup_read_metadata_par(filegroup_hdl, read_metadata_par) BIND(C)
       USE ISO_C_BINDING
@@ -372,4 +456,25 @@
       INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
     END FUNCTION cxios_is_defined_filegroup_read_metadata_par
+
+
+    SUBROUTINE cxios_set_filegroup_reader(filegroup_hdl, reader, reader_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: reader
+      INTEGER  (kind = C_INT)     , VALUE        :: reader_size
+    END SUBROUTINE cxios_set_filegroup_reader
+
+    SUBROUTINE cxios_get_filegroup_reader(filegroup_hdl, reader, reader_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: reader
+      INTEGER  (kind = C_INT)     , VALUE        :: reader_size
+    END SUBROUTINE cxios_get_filegroup_reader
+
+    FUNCTION cxios_is_defined_filegroup_reader(filegroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_reader
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_reader
 
 
@@ -687,4 +792,23 @@
 
 
+    SUBROUTINE cxios_set_filegroup_using_server2(filegroup_hdl, using_server2) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      LOGICAL (KIND=C_BOOL)      , VALUE :: using_server2
+    END SUBROUTINE cxios_set_filegroup_using_server2
+
+    SUBROUTINE cxios_get_filegroup_using_server2(filegroup_hdl, using_server2) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      LOGICAL (KIND=C_BOOL)             :: using_server2
+    END SUBROUTINE cxios_get_filegroup_using_server2
+
+    FUNCTION cxios_is_defined_filegroup_using_server2(filegroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_using_server2
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_using_server2
+
+
     SUBROUTINE cxios_set_filegroup_uuid_format(filegroup_hdl, uuid_format, uuid_format_size) BIND(C)
       USE ISO_C_BINDING
@@ -728,4 +852,25 @@
     END FUNCTION cxios_is_defined_filegroup_uuid_name
 
+
+    SUBROUTINE cxios_set_filegroup_writer(filegroup_hdl, writer, writer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: writer
+      INTEGER  (kind = C_INT)     , VALUE        :: writer_size
+    END SUBROUTINE cxios_set_filegroup_writer
+
+    SUBROUTINE cxios_get_filegroup_writer(filegroup_hdl, writer, writer_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: writer
+      INTEGER  (kind = C_INT)     , VALUE        :: writer_size
+    END SUBROUTINE cxios_get_filegroup_writer
+
+    FUNCTION cxios_is_defined_filegroup_writer(filegroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_writer
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_writer
+
   END INTERFACE
 
